Info: dette er ikke endringsloggen for siste stabile versjon 4.13.1
se alle skiftelogger

Pro v2.8.1 med geocoding-leverandører er brukervennlighetsforbedringer og bugfixes tilgjengelig

Med v2.8.1 fikset vi flere feil og optimaliserte også bruken av den nye leverandøren av geokodingsleverandører.

Ta også en titt på det nye blogginnlegg om vårt nye partnerskap med Mapzen - vår nye standard leverandør av geokoding for Maps Marker Pro.

En oppdatering til den nyeste versjonen er - som alltid - sterkt anbefalt. For mer informasjon om denne utgivelsen, se nedenfor.


La oss få vite hva du synes om denne nye utgivelsen av sende inn en anmeldelse eller legge igjen en kommentar nedenfor!

Hvis du vil holde deg oppdatert med den siste Maps Marker Pro-utviklingen, følg @MapsMarker på twitter (= siste oppdateringer), på Facebook , Google+ eller abonner på nyheter via RSS eller via RSS / e-post.

Vi vil også invitere deg til å bli med på vår affiliate program som tilbyr provisjoner opptil 50%. Hvis du er interessert i å bli forhandler, kan du gå til https://www.mapsmarker.com/reseller

uncle-sam-MMP
Vi vil ha DEG for Maps Marker Pro!
Bli med i teamet vårt som frilansutvikler og søk nå!
https://www.mapsmarker.com/join-the-team


La oss nå komme til høydepunktene i pro v2.8.1:

geocoding leverandør brukervennlighet optimaliseringer og bugfixes

  • ikke rydder (eksisterende) geokodings søkeresultater hvis (ikke flere tillegg) resultater blir funnet lenger
  • vis 10 i stedet for 5 geokodende søkeresultater for Mapzen, Algolia og Photon @ MapsMarker
  • ikke bytt til alternativ leverandør av geokoding hvis Google Geocoding ikke gir noen resultater
  • vis detaljert feilmelding hvis MapQuest Geocoding mislyktes
  • lasteindikator for geokodingssøk ble ikke vist på markørredigeringssider
  • PHP advarsler hvis Photon @ MapsMarker for APIer eller importør brukes og en tom adresse er gitt

ny kompatibilitetsinnstilling “maxZoom kompatibilitetsmodus”

Med denne utgivelsen introduserte vi en ny kompatibilitetsinnstilling som skal bidra til å løse problemer med inkompatible temaer, noe som resulterer i at markører ikke vises ordentlig på (Google) basekart. Du ser disse nye innstillingene under Innstillinger / Diverse / Kompatibilitetsinnstillinger:

maxzoom-compat-innstilling

Det kreves nå også https på iOS / Safari 10+ for at geolokalisering skal fungere ordentlig

Vær oppmerksom på at siden Apple slipper iOS 10, er https for nettstedet ditt nå også nødvendig på Safari 10+ hvis du vil tilby geolokaliseringsfunksjonen til besøkende. Se dette innlegget for mer informasjon.

Andre endringer og optimaliseringer

  • fjernet MemCached-støtte for importør og hastighetsbegrensning på grunn av rapporterte kompatibilitetsproblemer
  • velg automatisk markør / lagnavn, kartbredde, karthøyde og zoom inndataverdier på backend ved inngangsfokus

Andre bugfixes

  • bulkhandlinger på "liste alle markører" og "liste alle lag" -siden kan bli ødelagt siden v2.8 (thx reeser!)
  • "Legg til markørkobling" for ikonet for lagsenter ble ødelagt etter at søkeresultatet for geokoding ble valgt på lagsider
  • dødelig feil ved aktivering hvis en annen plugin også bruker WP_Session_Utils-klassen (thx Jan-Willem!)
  • unødvendig merket = "sjekket" output på import sider på backend
  • openpopup-lenker i listen over markører etter søk fungerte ikke siden v2.8 (thx Takeo!)
  • Maps Marker Pro kunne ikke aktiveres på PHP 5.2-installasjoner (thx Clive!)

Kjente problemer

Geolocation-funksjonen fungerer ikke lenger med Google Chrome 50+ med mindre nettstedet ditt er sikkert tilgjengelig via https

Med Chrome 50 (og Safari 10) ble betydelige endringer i geolokaliseringsstøtten introdusert av de relaterte nettlesereleverandørene: alle applikasjoner som ber om den nåværende plasseringen til brukeren (ikke bare for Maps Marker Pro 's geolocation-funksjon), er bare tillatt lenger å hente brukerens nåværende posisjon hvis nettstedet er konfigurert til å bli levert sikkert via https - brukere vil se følgende eller en lignende advarsel i stedet:

geolocation-feil-info

Se flere detaljer om denne avgjørelsen fra Google på https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolocation vil fortsatt fungere på nettsteder som ikke er https hvis brukerne får tilgang til nettstedet via alternative nettlesere som Firefox, Safari eller Internet Explorer - uansett kan det være sannsynlig at disse nettleserne også vil legge til en lignende sikkerhetsbegrensning i fremtiden.

Oppdater november 2016: siden iOS 10 krever også Safari 10+ https for å støtte geolocation. Implementeringen er enda strengere enn med Google Chrome - geolokalisering vil ikke fungere for eksempel hvis det er advarsler med blandet innhold på nettstedet ditt.

Så hvis du trenger Maps Marker Pro geolocation featue på nettstedet ditt, anbefales det sterkt å migrere nettstedet til https. Noen hosters tilbyr allerede gratis https-sertifikater fra letsencrypt.org for eksempel. For konfigurasjoner som trengs på WordPress-nettstedet ditt for å konfigurere det til å støtte https, kan du ta en titt på veiledninger som https://css-tricks.com/moving-to-https-on-wordpress/.

Ettersom https har flere fordeler for nettstedet ditt enn bare geolokalisering som jobber igjen med Google Chrome 50+ og Safari 10+ (som å sikre dataintegriteten, avsendergodkjenning og brukernes personvern samt høyere Google-rangering etter hvert som https brukes som rangeringssignal), bruker vi anbefaler du å bytte nettstedet ditt til https bare hvis du ikke har gjort det ennå.

Hvis du byttet nettstedet til https og fremdeles får en geolokasjonsfeil (som "Geolocation error: user avslått geolocation"), kan du sjekke enhetens plasseringsinnstillinger hvis det er tillatt for apper / nettsteder å hente geolocation.

Oversettelser oppdateres

Takket være mange motiverte bidragsytere inkluderer denne utgivelsen følgende oppdaterte oversettelser:

Hvis du vil bidra til oversettelser (nye hindi-oversettere vil bli satt pris på!), Vennligst besøk https://translate.mapsmarker.com/projects/lmm for mer informasjon.

Vær oppmerksom på at oversetterne også blir kompensert for deres bidrag - for eksempel hvis en oversettelse er ferdig mindre enn 50%, får oversetteren en gratis pakke på 25 lisenser til en verdi av € 249 som kompensasjon for å fullføre oversettelsen til 100%.

Outlook - planer for de neste utgivelsene

Vær oppmerksom på at vi ikke kan love noen utgivelsesdatoer for nye funksjoner. De veikart for viktige nye funksjoner gir deg en ide hvor Maps Marker Pro er på vei - uansett vil vi bare beholde fleksibiliteten til å legge til optimaliseringer og bugfixes med ganske ikke planlagte mindre utgivelser som hovedsakelig skyldes tilbakemeldinger fra brukerne.

Abonner på denne bloggen (via RSS or E-post) eller følg @MapsMarker på twitter (= mest aktuelle oppdateringer) hvis du vil holde deg oppdatert med de siste utviklingsnyhetene.

Full changelog

blogginnlegg om vårt nye partnerskap med Mapzen - den nye standard leverandøren av geokoding for Maps Marker Pro
ny kompatibilitetsinnstilling “maxZoom kompatibilitetsmodus” for temakonflikter der markører på (Google) kart ikke vises riktig
Det kreves nå også https på iOS / Safari 10+ for at geolokalisering skal fungere ordentlig (detaljer)
ikke rydder (eksisterende) geokodings søkeresultater hvis (ikke flere tillegg) resultater blir funnet lenger
vis 10 i stedet for 5 geokodende søkeresultater for Mapzen, Algolia og Photon @ MapsMarker
ikke bytt til alternativ leverandør av geokoding hvis Google Geocoding ikke gir noen resultater
fjernet MemCached-støtte for importør og hastighetsbegrensning på grunn av rapporterte kompatibilitetsproblemer
velg automatisk markør / lagnavn, kartbredde, karthøyde og zoom inndataverdier på backend ved inngangsfokus
vis detaljert feilmelding hvis MapQuest Geocoding mislyktes
bulkhandlinger på "liste alle markører" og "liste alle lag" -siden kan bli ødelagt siden v2.8 (thx reeser!)
"Legg til markørkobling" for ikonet for lagsenter ble ødelagt etter at søkeresultatet for geokoding ble valgt på lagsider
dødelig feil ved aktivering hvis en annen plugin også bruker WP_Session_Utils-klassen (thx Jan-Willem!)
PHP advarsler hvis Photon @ MapsMarker for APIer eller importør brukes og en tom adresse er gitt
unødvendig merket = "sjekket" output på import sider på backend
openpopup-lenker i listen over markører etter søk fungerte ikke siden v2.8 (thx Takeo!)
lasteindikator for geokodingssøk ble ikke vist på markørredigeringssider
Maps Marker Pro kunne ikke aktiveres på PHP 5.2-installasjoner (thx Clive!)
Geolocation-funksjonen fungerer ikke lenger med Google Chrome 50+ og iOS / Safari 10+ med mindre nettstedet ditt er sikkert tilgjengelig via https (detaljer)
Oversettelsesoppdateringer
Hvis du vil hjelpe med oversettelser, kan du gå til nettbasert oversettelsesplattform
oppdatert tysk oversettelse
oppdatert russisk oversettelse takket være Ekaterina Golubina (støttet av Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://slavblog.ru

Vis alle tilgjengelige veksler

Hvordan laste ned / oppdatere

Den enkleste måten å oppdatere er å bruke WordPress-oppdateringsprosessen: logg inn med en bruker som har administratorrettigheter, naviger til Dashboard / Updates, velg plugins som skal oppdateres og trykk på knappen “Update Plugins”. Pro-plugin sjekker hver 24. time om en ny versjon er tilgjengelig. Du kan også utløse oppdateringssjekken manuelt ved å gå til Plugins og klikke på lenken "Manuelt se etter oppdateringer" ved siden av "Maps Marker Pro":

manual-update-sjekk

Hvis du ikke ser lenken "Sjekk etter oppdateringer" og bruker en versjon under 1.7, må du oppdatere manuelt en gang ved å laste ned gjeldende pakke fra https://www.mapsmarker.com/download-pro og overskrive eksisterende plugin-filer på serveren din via FTP. Dette kan være nødvendig på flere verter, som bruker utdaterte SSL-biblioteker, som forhindrer Maps Marker Pro i å opprette en sikker forbindelse for å hente oppdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning for den typen servere, og følgende oppdateringer skal fungere som vanlig. Hvis du er berørt og trenger hjelp, vær så snill åpne en støtte billett.

Slik bekrefter du integriteten til plugin-pakken

SHA-256 hashverdi:

B6972C3D29274A917157CC8A7D177EC7F521C806AFF40937D781C2601E314E10

Klikk her for en veiledning for å bekrefte integriteten til plugin-pakken (anbefales hvis plugin-pakken for en ny installasjon ikke ble lastet ned fra https://www.mapsmarker.com - bekreftelse er ikke nødvendig, men hvis den automatiske oppdateringsprosessen brukes)

Ytterligere oppdateringsnotater for betatester

Ingen ekstra handlinger for plugin-oppdatering fra beta til endelig versjon er påkrevd.

Legg igjen en kommentar

XHTML: Du kan bruke disse kodene: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X